Skip to main content
`Ctrl`+`K`

# SNESLineSearchComputeNorms

Explicitly computes the norms of the current solution `X`, the current update `Y`, and the current function value `F`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchComputeNorms(SNESLineSearch linesearch)

## Input Parameter

- linesearch - the line search context

## Options Database Key

- -snes_linesearch_norms (true|false) - turn norm computation on or off

## Developer Note

The options database key is misnamed. It should be `-snes_linesearch_compute_norms`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchGetNorms`, `SNESLineSearchSetNorms()`, `SNESLineSearchSetComputeNorms()`

## Level

intermediate

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages